(Solved) Errors while installing Kernel 4.13.0-26

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
User avatar
Rademes
Level 1
Level 1
Posts: 22
Joined: Sun Nov 22, 2015 8:38 am
Location: Latvia

(Solved) Errors while installing Kernel 4.13.0-26

Post by Rademes »

Good evening!
Following this Security notice, I have installed newest Kernel 4.13.0-26, using update manager. However, while installing, I have noticed some error messages:
ERROR (dkms apport): kernel package linux-headers-4.13.0-26-generic is not supported
Error! Bad return status for module build on kernel: 4.13.0-26-generic (x86-64)

Maybe, I have made mistakes while typing, so please look at the screenshots:
https://s19.postimg.org/njyz0w9hv/Kernel1.png
https://s19.postimg.org/ckdrpaqsj/Kernel2.png
https://s19.postimg.org/d9wk1nbwj/Kernel3.png
https://s19.postimg.org/t859rto4z/Kernel4.png
https://s19.postimg.org/rgcawxchv/Kernel5.png
https://s19.postimg.org/fr8b8y63n/Kernel6.png
Kernel1.png
Also, while running command dkms status, I have ndiswrapper only for 4.10.0-xx kernels...
https://s19.postimg.org/4evpr5poz/Syste ... ation1.png
https://s19.postimg.org/rt3p32zwj/Syste ... ation2.png
Luckily, I have not been installed proprietary drivers so far.
Should I worry about these error messages, and revert back to older kernel?
Can I install newest Intel Microcode update, as suggested in this Security notice?
Last edited by Rademes on Tue Jan 16, 2018 1:38 pm, edited 1 time in total.

User avatar
thx-1138
Level 7
Level 7
Posts: 1926
Joined: Fri Mar 10, 2017 12:15 pm
Location: Athens, Greece

Re: Errors while installing Kernel 4.13.0-26

Post by thx-1138 »

For the ndiswrapper-dkms, from a recent thread and a somewhat similar problem,
it appears you can safely ignore the error message (it simply won't work with this kernel version):
viewtopic.php?p=1412266#p1412266
And yes, you can install intel-microcode safely, no worries there...

User avatar
Rademes
Level 1
Level 1
Posts: 22
Joined: Sun Nov 22, 2015 8:38 am
Location: Latvia

Re: Errors while installing Kernel 4.13.0-26

Post by Rademes »

OK, so I have removed ndiswrapper, ndiswrapper-dkms and ndiswrapper-utils-1.9, because my desktop does not have wireless adapter.
Then I have removed all 4.10.0-xx kernels. Only newest Kernel 4.13.0-26 has left on my system. I will update Intel Microcode later.
Hope, without ndiswrapper-dkms, there will not be any errors while updating kernels.

Post Reply

Return to “Software & Applications”